package Common.Visual.Tables;
import Common.Visual.UI_;
import Common.Visual.StatusEnum;

import javax.swing.*;
public class StatusEnumRenderer extends RendererCell<StatusEnum> {
    @Override
    public StatusEnum Init(JTable table, Object value, int row, int column) {
        return (StatusEnum) value;
    }
    @Override
    public void Display() {
        if (value != null) {
            setText(value.getDescription());
            setFont(UI_.getTheme().Fonts.get(value.getFont()));
        }
    }
}
